[arvados] updated: 2.7.0-5800-g56ad9292e8
git repository hosting
git at public.arvados.org
Tue Jan 9 21:14:48 UTC 2024
Summary of changes:
tools/arvbox/bin/arvbox | 8 ++++++++
1 file changed, 8 insertions(+)
via 56ad9292e87e1539f2ea8f0c1fda77ff826604f3 (commit)
from 5dce317bcb52fb20e0849f08b5359a8d00bc2954 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 56ad9292e87e1539f2ea8f0c1fda77ff826604f3
Author: Peter Amstutz <peter.amstutz at curii.com>
Date: Tue Jan 9 16:14:14 2024 -0500
Add arvbox check for fs.inotify.max_user_watches, refs #21349
Arvados-DCO-1.1-Signed-off-by: Peter Amstutz <peter.amstutz at curii.com>
diff --git a/tools/arvbox/bin/arvbox b/tools/arvbox/bin/arvbox
index b7c176af45..13583ba288 100755
--- a/tools/arvbox/bin/arvbox
+++ b/tools/arvbox/bin/arvbox
@@ -416,6 +416,14 @@ check() {
exit 1
;;
esac
+
+ user_watches=$(/usr/sbin/sysctl fs.inotify.max_user_watches)
+ [[ $user_watches =~ fs.inotify.max_user_watches\ =\ ([0-9]+) ]] && value=${BASH_REMATCH[1]}
+ if [[ "$value" -lt 256000 ]] ; then
+ echo "Not enough file system listeners ($value), to fix this run:"
+ echo "sudo sh -c 'echo fs.inotify.max_user_watches=524288 >> /etc/sysctl.d/local.conf && sysctl --system'"
+ exit 1
+ fi
}
subcmd="$1"
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list